function [P,L,U]=PALU_Ref(A)
% permuted LU factorization for 3D-array
%   P*A=L*U
  assert( fc_linalg3D.is3Darray(A) )
  [N,m,n]=size(A);
  assert( m==n )
  L=zeros(N,m,m);U=zeros(N,m,m);P=zeros(N,m,m);
  for k=1:N
    [L(k,:,:),U(k,:,:),P(k,:,:)]=lu(squeeze(A(k,:,:)));
  end
  if nargout==1, P={P,L,U};end
end
