function init(varargin)
  p = inputParser;
  p.KeepUnmatched=true;
  p.addParamValue('verbose', 1, @(x) ismember(x,0:2) ); % level of verbosity 
  p.parse(varargin{:});
  R=p.Results;verbose=R.verbose;
  
  if isOctave()
    warning('off','Octave:shadowed-function')
    more off
     tname='package';
  else
    tname='toolbox';
  end
  env=fc_linalg3D.environment();
  if isdir(env.fc_tools_dir)
    addpath(env.fc_tools_dir);rehash path;
  else
    log=ver;
    if isOctave() % try pkg load
      Lp=pkg('list');
      if sum(cellfun(@(x) strcmp(x.name,'fc-tools'),Lp))==1 % package is installed
        pkg('load','fc-tools')
      end
    end
  end
  try
    fc_tools.init('verbose',0)
  catch
    fprintf('[fc-linalg3D] Unable to load the fc-tools %s!\n',tname)
    fprintf('[fc-linalg3D] Use fc_linalg3D.configure(''fc_tools_dir'',<DIR>) to correct this issue\n\n');
    error('fc-linalg3D::init')
  end
  if isdir(env.fc_bench_dir), addpath(env.fc_bench_dir);rehash path;end
    try
      fc_bench.init('verbose',0)
    catch ME
      fprintf('[fc-mesh] Unable to load the <fc-bench> package/toolbox!\n')
      rethrow(ME)
    end
  if verbose>0,fc_linalg3D.info(verbose);end
end

function bool=isOctave()
  log=ver;bool=strcmp(log(1).Name,'Octave');
end
